## gst-thumbnailers 1.0~alpha.3

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: ['release', 'dev'],
  value: 'release',
)

## gst-thumbnailers 1.0~alpha.1

=== debian/changelog ===
gst-thumbnailers (1.0~alpha.1-2) unstable; urgency=medium

  * d/control: Bump S-V to 4.7.3; drop priority: optional
  * d/control: Fix typo
  * d/rules: Fix dh-builtusing call
  * Update upstream homepage

 -- Matthias Geiger <werdahias@debian.org>  Sat, 21 Feb 2026 11:05:44 +0100

gst-thumbnailers (1.0~alpha.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1121723)

 -- Matthias Geiger <werdahias@debian.org>  Tue, 02 Dec 2025 19:24:20 +0100

=== debian/control ===
Source: gst-thumbnailers
Section: gnome
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 libglycin-2-dev,
 libgstreamer1.0-dev,
 dh-cargo,
 cargo:native,
 rustc:native (>= 1.88),
 libstd-rust-dev,
 librust-clap-4+derive-dev (>= 4.5.48-~~),
 librust-clap-4+help-dev (>= 4.5.48-~~),
 librust-clap-4+std-dev (>= 4.5.48-~~),
 librust-clap-4+usage-dev (>= 4.5.48-~~),
 librust-gio-0.21+default-dev (>= 0.21.1-~~),
 librust-gstreamer-0.24+default-dev (>= 0.24.3-~~),
 librust-gstreamer-app-0.24+default-dev,
 librust-gstreamer-sys-0.24+default-dev,
 librust-gstreamer-video-0.24+default-dev (>= 0.24.3-~~),
 librust-image-0.25-dev (>= 0.25.8-~~),
 librust-libglycin-rebind-0.0+default-dev (<< 0.0.2-~~),
 librust-libglycin-rebind-0.0+default-dev (>= 0.0.1-~~)
Standards-Version: 4.7.3
Homepage: https://gitlab.gnome.org/GNOME/gst-thumbnailers
Vcs-Git: https://salsa.debian.org/gnome-team/gst-thumbnailers.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gst-thumbnailers

Package: gst-video-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: thumbnailer of video files
 preview thumbnails of video files in nautilus
 gst-video-thumbnailer renders thumbnails for preview
 using libglycin. If no cover is found, the frames are searched.
 .
 This package contains the video thumbnailer.

Package: gst-audio-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: thumbnailer of audio files
 preview thumbnails of audio files in nautilus
 gst-audio-thumbnailer renders thumbnails for preview
 using libglycin.
 .
 This package contains the audio thumbnailer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry
	rm -f debian/cargo-checksum.json

override_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f Cargo.lock
	touch debian/cargo-checksum.json
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)"

# Generate (Static-)Built-Using
# Symlink the meson target dir to target/$(DEB_HOST_RUST_TYPE)/release
# since dh-cargo-built-using expects it there
execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/
	ln -s $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/cargo-target/$(DEB_HOST_RUST_TYPE)/release target/$(DEB_HOST_RUST_TYPE)/
	/usr/share/cargo/bin/dh-cargo-built-using gst-video-thumbnailer

# This segfaults, so let's skip it
override_dh_dwz:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
    https://gitlab.gnome.org/GNOME/gst-thumbnailers/tags?sort=updated_desc -/archive/[\d.]+?(?:alpha|beta|rc)?[\d.]*/\
 gst-thumbnailers-([\d.]+?(?:alpha|beta|rc)?[\d.]*)@ARCHIVE_EXT@

## gst-thumbnailers 1.0~alpha.3

=== debian/changelog ===
gst-thumbnailers (1.0~alpha.3-0ubuntu1) resolute; urgency=medium

  * d/watch: Upstream now release tarballs on download.gnome.org
  * New upstream release
    - d/patches/add-meson-test-runner.diff: Included in new release.
    - Check-if-various-basic-GStreamer-plugins-are-available-be.patch:
      + Improves error reporting for missing plugins
    - Sync-Cargo.toml-version-number-with-meson.build.patch
      + Fixes oversight in upstream packaging for this release.

 -- Charles <charles05@canonical.com>  Wed, 14 Jan 2026 13:07:06 +0000

gst-thumbnailers (1.0~alpha.1-1ubuntu1) resolute; urgency=medium

  * Initial Ubuntu packaging for vendoring workflow.
  * d/patches/add-meson-test-runner.diff
    - Enable the Rust tests to be run via Meson. Otherwise, when
      building using the provided Meson script, no tests will run at
      build time.
  * d/patches/skip-video-tests-on-big-endian.patch
    - Disable the video thumbnailing tests on s390x. The variance is
      super large, indicating some kind of decoding bug.
  * debian/tests: Add autopkgtest

 -- Charles <charles05@canonical.com>  Mon, 12 Jan 2026 13:31:12 +0000

gst-thumbnailers (1.0~alpha.1-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #1121723)

 -- Matthias Geiger <werdahias@debian.org>  Sun, 30 Nov 2025 23:31:10 +0100

=== debian/control ===
Source: gst-thumbnailers
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Charles <charles05@canonical.com>
Build-Depends: debhelper-compat (= 13),
               dh-cargo,
               cargo:native,
               gstreamer1.0-plugins-bad,
               gstreamer1.0-plugins-base,
               gstreamer1.0-plugins-good,
               libglycin-2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libstd-rust-dev,
               meson,
               quilt,
               rustc:native (>= 1.88)
#librust-clap-4+derive-dev (>= 4.5.48-~~),
#librust-clap-4+help-dev (>= 4.5.48-~~),
#librust-clap-4+std-dev (>= 4.5.48-~~),
#librust-clap-4+usage-dev (>= 4.5.48-~~),
#librust-gio-0.21+default-dev (>= 0.21.1-~~),
#librust-gstreamer-0.24+default-dev (>= 0.24.3-~~),
#librust-gstreamer-app-0.24+default-dev,
#librust-gstreamer-sys-0.24+default-dev,
#librust-gstreamer-video-0.24+default-dev (>= 0.24.3-~~),
#librust-image-0.25-dev (>= 0.25.8-~~),
#librust-libglycin-rebind-0.0+default-dev (<< 0.0.2-~~),
#librust-libglycin-rebind-0.0+default-dev (>= 0.0.1-~~)
Standards-Version: 4.7.2
XS-Vendored-Sources-Rust: aho-corasick@1.1.4, anes@0.1.6, anstyle@1.0.13, atomic_refcell@0.1.13, autocfg@1.5.0, bitflags@2.10.0, bytemuck@1.24.0, byteorder-lite@0.1.0, cast@0.3.0, cfg-expr@0.20.4, cfg-if@1.0.4, ciborium-io@0.2.2, ciborium-ll@0.2.2, ciborium@0.2.2, clap@4.5.53, clap_builder@4.5.53, clap_derive@4.5.49, clap_lex@0.7.6, criterion-plot@0.6.0, criterion@0.7.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, either@1.15.0, equivalent@1.0.2, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-macro@0.3.31, futures-sink@0.3.31, futures-task@0.3.31, futures-util@0.3.31, gio-sys@0.21.2, gio@0.21.4, glib-macros@0.21.4, glib-sys@0.21.2, glib@0.21.4, gobject-sys@0.21.2, gstreamer-app-sys@0.24.0, gstreamer-app@0.24.2, gstreamer-base-sys@0.24.2, gstreamer-base@0.24.2, gstreamer-sys@0.24.2, gstreamer-video-sys@0.24.1, gstreamer-video@0.24.3, gstreamer@0.24.3, half@2.7.1, hashbrown@0.16.1, heck@0.5.0, image@0.25.9, indexmap@2.12.1, itertools@0.13.0, itertools@0.14.0, itoa@1.0.15, kstring@2.0.2, libc@0.2.177, libglycin-rebind-sys@0.0.1, libglycin-rebind@0.0.1, memchr@2.7.6, moxcms@0.7.9, muldiv@1.0.1, num-integer@0.1.46, num-rational@0.4.2, num-traits@0.2.19, oorandom@11.1.5, option-operations@0.6.0, pastey@0.1.1, pin-project-lite@0.2.16, pin-utils@0.1.0, pkg-config@0.3.32, plotters-backend@0.3.7, plotters-svg@0.3.7, plotters@0.3.7, proc-macro-crate@3.4.0, proc-macro2@1.0.103, pxfm@0.1.25, quote@1.0.42, rayon-core@1.13.0, rayon@1.11.0, regex-automata@0.4.13, regex-syntax@0.8.8, regex@1.12.2, ryu@1.0.20, same-file@1.0.6, serde@1.0.228, serde_core@1.0.228, serde_derive@1.0.228, serde_json@1.0.145, serde_spanned@1.0.3, slab@0.4.11, smallvec@1.15.1, static_assertions@1.1.0, syn@2.0.111, system-deps@7.0.7, target-lexicon@0.13.3, thiserror-impl@2.0.17, thiserror@2.0.17, tinytemplate@1.2.1, toml@0.9.8, toml_datetime@0.7.3, toml_edit@0.23.7, toml_parser@1.0.4, toml_writer@1.0.4, unicode-ident@1.0.22, version-compare@0.2.1, walkdir@2.5.0, winnow@0.7.14, zerocopy-derive@0.8.30, zerocopy@0.8.30
Homepage: https://gitlab.gnome.org/GNOME/gst-thumbnailers
Vcs-Git: https://salsa.debian.org/gnome-team/gst-thumbnailers.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gst-thumbnailers

Package: gst-video-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Thumbnailer for video files, based on GStreamer
 Finds a suitably interesting frame from a video and renders a
 thumbnail using libglycin. Primarily for use with Nautilus while
 exploring media files.

Package: gst-audio-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Thumbnailer for audio files, based on GStreamer
 Tries to find covert art from an audio container and renders a
 thumbnail using libglycin. Primarily for use with Nautilus while
 exploring media files.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

# Disable lto on 32-bit arches since it OOMs otherwise
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif

%:
	dh $@ --buildsystem=meson+ninja

override_dh_auto_test:
	# RUST_TEST_NOCAPTURE=1: Tell Rust not to hide the GStreamer logs
	# RUST_BACKTRACE=1: Print stack trace on panic
	export GST_DEBUG=3 && \
	export GST_DEBUG_NO_COLOR=1 && \
	export RUST_TEST_NOCAPTURE=1 && \
	export RUST_BACKTRACE=1 && \
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry
	rm -f debian/cargo-checksum.json

vendor:
	dh_quilt_patch
	rm -f .cargo/config
	rm -rf debian/missing-sources/
	$ cargo vendor-filterer --platform='*-*-linux-gnu' --platform '*-*-linux-gnueabi' \
	  --exclude-crate-path system-deps#src/tests/lib/libteststatic.a --all-features \
	  debian/missing-sources/
	git add -f debian/missing-sources
	git commit -m "Update vendored rust crates" || true
	git reset --hard && git clean -fdx

	env QUILT_PATCH_DIR=debian/missing-sources-patches dh_quilt_patch
	git add -f debian/missing-sources
	git commit -m "Apply patches to vendored rust crates" || true
	git reset --hard && git clean -fdx

	uscan --download-current-version --destdir=..
	rm debian/source/include-binaries || true
	dpkg-source --include-binaries -b .
	git add debian/source/include-binaries
	git commit -m "Update debian/source/include-binaries" || true
	git reset --hard && git clean -fdx

	rm Cargo.toml
	VENDORED_SOURCES=$$(CARGO_VENDOR_DIR=debian/missing-sources/ /usr/share/cargo/bin/dh-cargo-vendored-sources 2>&1 | grep "^XS-Vendored-Sources-Rust:") \
	  && sed -i "s/^XS-Vendored-Sources-Rust:.*/$${VENDORED_SOURCES}/" debian/control
	git add debian/control
	git commit -m "Update XS-Vendored-Sources-Rust field" || true
	git checkout Cargo.toml

=== debian/tests/control ===
Tests: run-installed-tests
Depends: gstreamer1.0-plugins-good, @
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://download.gnome.org/sources/@PACKAGE@/cache.json
Matching-Pattern: [\d.]+/@PACKAGE@-([\d.]+\.?(?:alpha|beta|rc)?[\d.]*)@ARCHIVE_EXT@
Downloadurlmangle: s|cache.json||
Searchmode: plain
Uversionmangle: s/\.(alpha|beta|rc)/~$1/

## gst-thumbnailers 1.0~rc

=== debian/changelog ===
gst-thumbnailers (1.0~rc-1ubuntu1) resolute; urgency=medium

  * New upstream release
    - Check-if-various-basic-GStreamer-plugins-are-available-be.patch:
    - Sync-Cargo.toml-version-number-with-meson.build.patch
      + Dropped, included in new release.
  * Depend on rustc 1.92

 -- Charles <charles05@canonical.com>  Tue, 03 Mar 2026 08:32:55 +0000

=== debian/control ===
Source: gst-thumbnailers
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Charles <charles05@canonical.com>
Build-Depends: debhelper-compat (= 13),
               dh-cargo,
               cargo-1.92:native,
               gstreamer1.0-plugins-bad,
               gstreamer1.0-plugins-base,
               gstreamer1.0-plugins-good,
               libglycin-2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               meson,
               quilt,
               rustc-1.92:native,
#librust-clap-4+derive-dev (>= 4.5.48-~~),
#librust-clap-4+help-dev (>= 4.5.48-~~),
#librust-clap-4+std-dev (>= 4.5.48-~~),
#librust-clap-4+usage-dev (>= 4.5.48-~~),
#librust-gio-0.21+default-dev (>= 0.21.1-~~),
#librust-gstreamer-0.24+default-dev (>= 0.24.3-~~),
#librust-gstreamer-app-0.24+default-dev,
#librust-gstreamer-sys-0.24+default-dev,
#librust-gstreamer-video-0.24+default-dev (>= 0.24.3-~~),
#librust-image-0.25-dev (>= 0.25.8-~~),
#librust-libglycin-rebind-0.0+default-dev (<< 0.0.2-~~),
#librust-libglycin-rebind-0.0+default-dev (>= 0.0.1-~~)
Standards-Version: 4.7.2
XS-Vendored-Sources-Rust: aho-corasick@1.1.4, alloca@0.4.0, anes@0.1.6, anstyle@1.0.13, atomic_refcell@0.1.13, autocfg@1.5.0, bitflags@2.11.0, bytemuck@1.25.0, byteorder-lite@0.1.0, cast@0.3.0, cc@1.2.56, cfg-expr@0.20.6, cfg-if@1.0.4, ciborium-io@0.2.2, ciborium-ll@0.2.2, ciborium@0.2.2, clap@4.5.60, clap_builder@4.5.60, clap_derive@4.5.55, clap_lex@1.0.0, criterion-plot@0.8.2, criterion@0.8.2, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, either@1.15.0, equivalent@1.0.2, find-msvc-tools@0.1.9, futures-channel@0.3.32, futures-core@0.3.32, futures-executor@0.3.32, futures-io@0.3.32, futures-macro@0.3.32, futures-sink@0.3.32, futures-task@0.3.32, futures-util@0.3.32, gio-sys@0.22.0, gio@0.22.2, glib-macros@0.22.2, glib-sys@0.22.0, glib@0.22.2, gobject-sys@0.22.0, gstreamer-app-sys@0.25.0, gstreamer-app@0.25.0, gstreamer-base-sys@0.25.0, gstreamer-base@0.25.0, gstreamer-sys@0.25.0, gstreamer-video-sys@0.25.0, gstreamer-video@0.25.0, gstreamer@0.25.1, half@2.7.1, hashbrown@0.16.1, heck@0.5.0, image@0.25.9, indexmap@2.13.0, itertools@0.13.0, itertools@0.14.0, itoa@1.0.17, kstring@2.0.2, libc@0.2.182, libglycin-rebind-sys@0.1.0-rc, libglycin-rebind@0.1.0-rc, memchr@2.8.0, moxcms@0.7.11, muldiv@1.0.1, num-integer@0.1.46, num-rational@0.4.2, num-traits@0.2.19, oorandom@11.1.5, option-operations@0.6.1, page_size@0.6.0, pastey@0.2.1, pin-project-lite@0.2.17, pkg-config@0.3.32, plotters-backend@0.3.7, plotters-svg@0.3.7, plotters@0.3.7, proc-macro2@1.0.106, pxfm@0.1.28, quote@1.0.44, rayon-core@1.13.0, rayon@1.11.0, regex-automata@0.4.14, regex-syntax@0.8.10, regex@1.12.3, same-file@1.0.6, serde@1.0.228, serde_core@1.0.228, serde_derive@1.0.228, serde_json@1.0.149, serde_spanned@1.0.4, shlex@1.3.0, slab@0.4.12, smallvec@1.15.1, static_assertions@1.1.0, syn@2.0.117, system-deps@7.0.7, target-lexicon@0.13.3, thiserror-impl@2.0.18, thiserror@2.0.18, tinytemplate@1.2.1, toml@0.9.12+spec-1.1.0, toml_datetime@0.7.5+spec-1.1.0, toml_parser@1.0.9+spec-1.1.0, toml_writer@1.0.6+spec-1.1.0, unicode-ident@1.0.24, version-compare@0.2.1, walkdir@2.5.0, winnow@0.7.14, zerocopy-derive@0.8.40, zerocopy@0.8.40, zmij@1.0.21
Homepage: https://gitlab.gnome.org/GNOME/gst-thumbnailers
Vcs-Git: https://salsa.debian.org/gnome-team/gst-thumbnailers.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gst-thumbnailers

Package: gst-video-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Thumbnailer for video files, based on GStreamer
 Finds a suitably interesting frame from a video and renders a
 thumbnail using libglycin. Primarily for use with Nautilus while
 exploring media files.

Package: gst-audio-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Thumbnailer for audio files, based on GStreamer
 Tries to find covert art from an audio container and renders a
 thumbnail using libglycin. Primarily for use with Nautilus while
 exploring media files.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 ifeq ($(DEB_HOST_ARCH_BITS),32)
 export DEB_BUILD_OPTIONS += optimize=-lto
 endif
+
+export PATH:=/usr/lib/rust-1.92/bin:$(PATH)
 
 %:
 	dh $@ --buildsystem=meson+ninja
